Index: src/hugo/array_map.h
===================================================================
--- src/hugo/array_map.h	(revision 901)
+++ src/hugo/array_map.h	(revision 906)
@@ -1,3 +1,18 @@
-// -*- c++ -*-
+/* -*- C++ -*-
+ * src/hugo/array_map.h - Part of HUGOlib, a generic C++ optimization library
+ *
+ * Copyright (C) 2004 Egervary Jeno Kombinatorikus Optimalizalasi Kutatocsoport
+ * (Egervary Combinatorial Optimization Research Group, EGRES).
+ *
+ * Permission to use, modify and distribute this software is granted
+ * provided that this copyright notice appears in all copies. For
+ * precise terms see the accompanying LICENSE file.
+ *
+ * This software is provided "AS IS" with no warranty of any kind,
+ * express or implied, and with no claim as to its suitability for any
+ * purpose.
+ *
+ */
+
 #ifndef HUGO_ARRAY_MAP_H
 #define HUGO_ARRAY_MAP_H
Index: src/hugo/attic/debug.h
===================================================================
--- src/hugo/attic/debug.h	(revision 883)
+++ src/hugo/attic/debug.h	(revision 906)
@@ -1,3 +1,17 @@
-// -*- C++ -*- //
+/* -*- C++ -*-
+ * src/hugo/template.h - Part of HUGOlib, a generic C++ optimization library
+ *
+ * Copyright (C) 2004 Egervary Jeno Kombinatorikus Optimalizalasi Kutatocsoport
+ * (Egervary Combinatorial Optimization Research Group, EGRES).
+ *
+ * Permission to use, modify and distribute this software is granted
+ * provided that this copyright notice appears in all copies. For
+ * precise terms see the accompanying LICENSE file.
+ *
+ * This software is provided "AS IS" with no warranty of any kind,
+ * express or implied, and with no claim as to its suitability for any
+ * purpose.
+ *
+ */
 
 #ifndef HUGO_DEBUG_H
Index: src/hugo/attic/error.h
===================================================================
--- src/hugo/attic/error.h	(revision 883)
+++ src/hugo/attic/error.h	(revision 906)
@@ -1,3 +1,17 @@
-// -*- C++ -*- //
+/* -*- C++ -*-
+ * src/hugo/template.h - Part of HUGOlib, a generic C++ optimization library
+ *
+ * Copyright (C) 2004 Egervary Jeno Kombinatorikus Optimalizalasi Kutatocsoport
+ * (Egervary Combinatorial Optimization Research Group, EGRES).
+ *
+ * Permission to use, modify and distribute this software is granted
+ * provided that this copyright notice appears in all copies. For
+ * precise terms see the accompanying LICENSE file.
+ *
+ * This software is provided "AS IS" with no warranty of any kind,
+ * express or implied, and with no claim as to its suitability for any
+ * purpose.
+ *
+ */
 
 #ifndef HUGO_ERROR_H
Index: src/hugo/bfs.h
===================================================================
--- src/hugo/bfs.h	(revision 802)
+++ src/hugo/bfs.h	(revision 906)
@@ -1,3 +1,18 @@
-// -*- C++ -*-
+/* -*- C++ -*-
+ * src/hugo/bfs.h - Part of HUGOlib, a generic C++ optimization library
+ *
+ * Copyright (C) 2004 Egervary Jeno Kombinatorikus Optimalizalasi Kutatocsoport
+ * (Egervary Combinatorial Optimization Research Group, EGRES).
+ *
+ * Permission to use, modify and distribute this software is granted
+ * provided that this copyright notice appears in all copies. For
+ * precise terms see the accompanying LICENSE file.
+ *
+ * This software is provided "AS IS" with no warranty of any kind,
+ * express or implied, and with no claim as to its suitability for any
+ * purpose.
+ *
+ */
+
 #ifndef HUGO_BFS_H
 #define HUGO_BFS_H
Index: src/hugo/bin_heap.h
===================================================================
--- src/hugo/bin_heap.h	(revision 901)
+++ src/hugo/bin_heap.h	(revision 906)
@@ -1,62 +1,17 @@
-// -*- C++ -*- //
-
-/* FIXME: Copyright ... 
- *
- * This implementation is heavily based on STL's heap functions and
- * the similar class by Alpar Juttner in IKTA...
+/* -*- C++ -*-
+ * src/hugo/bin_heap.h - Part of HUGOlib, a generic C++ optimization library
+ *
+ * Copyright (C) 2004 Egervary Jeno Kombinatorikus Optimalizalasi Kutatocsoport
+ * (Egervary Combinatorial Optimization Research Group, EGRES).
+ *
+ * Permission to use, modify and distribute this software is granted
+ * provided that this copyright notice appears in all copies. For
+ * precise terms see the accompanying LICENSE file.
+ *
+ * This software is provided "AS IS" with no warranty of any kind,
+ * express or implied, and with no claim as to its suitability for any
+ * purpose.
+ *
  */
-
-/******
- *
- * BinHeap<ItemType, PrioType, ItemIntMap, [PrioCompare]>
- *
- * Ez az osztaly item-prioritas parok tarolasara alkalmas binaris kupacot
- * valosit meg.
- * A kupacban legfolul mindig az a par talalhato, amiben a prioritas a
- * legkisebb. (Gondolj a Dijkstra pont-tavolsag kupacara; igazabol ahhoz
- * lett keszitve...)
- *
- * Megjegyzes: a kupacos temakorokben a prioritast kulcsnak szoktak nevezni,
- * de mivel ez zavaro tud lenni a property-map-es kulcs-ertek szohasznalata
- * miatt, megprobaltunk valami semleges elnevezeseket kitalalni.
- *
- * A hasznalatahoz szukseg van egy irhato/olvashato property_map-re, ami
- * az itemekhez egy int-et tud tarolni (ezzel tudom megkeresni az illeto
- * elemet a kupacban a csokkentes es hasonlo muveletekhez).
- * A map-re csak referenciat tarol, ugy hogy a kupac elete folyan a map-nek
- * is elnie kell. (???)
- *
- * Ketfele modon hasznalhato:
- * Lusta mod:
- * set(Item, Prio) metodussal pakolunk a kupacba,
- * aztan o majd eldonti, hogy ez az elem mar benne van-e es ha igen, akkor
- * csokkentettunk-e rajta, vagy noveltunk.
- * Ehhez nagyon fontos, hogy az atadott property map inicializalva legyen
- * minden szobajovo kulcs ertekre, -1 -es ertekkel!
- * Es ilyen esetben a kulcsokrol lekerdezheto az allapotuk a state
- metodussal:
- * (nem jart meg a kupacban PRE_HEAP=-1, epp a kupacban van IN_HEAP=0,
- *  mar kikerult a kupacbol POST_HEAP=-2).
- * Szoval ebben a modban a kupac nagyjabol hasznalhato property_map-kent, csak
- * meg meg tudja mondani a "legkisebb" prioritasu elemet. De csak nagyjabol,
- * hiszen a kupacbol kikerult elemeknek elvesz az ertekuk...
- *
- * Kozvetlen mod:
- * push(Item, Prio) metodussal belerakunk a kupacba (ha az illeto kulcs mar
- * benn volt, akkor gaz).
- * increase/decrease(Item i, Prio new_prio) metodusokkal lehet
- * novelni/csokkenteni az illeto elemhez tartozo prioritast. (Ha nem volt
- * megbenne a kupacban az illeto elem, vagy nem abba az iranyba valtoztattad
- * az erteket, amerre mondtad -- gaz).
- *
- * Termeszetesen a fenti ket modot ertelemszeruen lehet keverni.
- * Ja es mindig nagyon gaz, ha belepiszkalsz a map-be, amit a kupac
- * hasznal. :-))
- *
- *
- * Bocs, most faradt vagyok, majd egyszer leforditom. (Misi)
- *
- */
-
 
 #ifndef HUGO_BIN_HEAP_H
@@ -66,4 +21,5 @@
 ///\file
 ///\brief Binary Heap implementation.
+///\todo It should be documented.
 
 #include <vector>
Index: src/hugo/default_map.h
===================================================================
--- src/hugo/default_map.h	(revision 901)
+++ src/hugo/default_map.h	(revision 906)
@@ -1,3 +1,18 @@
-// -*- c++ -*-
+/* -*- C++ -*-
+ * src/hugo/default_map.h - Part of HUGOlib, a generic C++ optimization library
+ *
+ * Copyright (C) 2004 Egervary Jeno Kombinatorikus Optimalizalasi Kutatocsoport
+ * (Egervary Combinatorial Optimization Research Group, EGRES).
+ *
+ * Permission to use, modify and distribute this software is granted
+ * provided that this copyright notice appears in all copies. For
+ * precise terms see the accompanying LICENSE file.
+ *
+ * This software is provided "AS IS" with no warranty of any kind,
+ * express or implied, and with no claim as to its suitability for any
+ * purpose.
+ *
+ */
+
 #ifndef HUGO_DEFAULT_MAP_H
 #define HUGO_DEFAULT_MAP_H
Index: src/hugo/dfs.h
===================================================================
--- src/hugo/dfs.h	(revision 802)
+++ src/hugo/dfs.h	(revision 906)
@@ -1,3 +1,18 @@
-// -*- C++ -*-
+/* -*- C++ -*-
+ * src/hugo/dfs.h - Part of HUGOlib, a generic C++ optimization library
+ *
+ * Copyright (C) 2004 Egervary Jeno Kombinatorikus Optimalizalasi Kutatocsoport
+ * (Egervary Combinatorial Optimization Research Group, EGRES).
+ *
+ * Permission to use, modify and distribute this software is granted
+ * provided that this copyright notice appears in all copies. For
+ * precise terms see the accompanying LICENSE file.
+ *
+ * This software is provided "AS IS" with no warranty of any kind,
+ * express or implied, and with no claim as to its suitability for any
+ * purpose.
+ *
+ */
+
 #ifndef HUGO_DFS_H
 #define HUGO_DFS_H
Index: src/hugo/dijkstra.h
===================================================================
--- src/hugo/dijkstra.h	(revision 880)
+++ src/hugo/dijkstra.h	(revision 906)
@@ -1,3 +1,18 @@
-// -*- C++ -*-
+/* -*- C++ -*-
+ * src/hugo/dijkstra.h - Part of HUGOlib, a generic C++ optimization library
+ *
+ * Copyright (C) 2004 Egervary Jeno Kombinatorikus Optimalizalasi Kutatocsoport
+ * (Egervary Combinatorial Optimization Research Group, EGRES).
+ *
+ * Permission to use, modify and distribute this software is granted
+ * provided that this copyright notice appears in all copies. For
+ * precise terms see the accompanying LICENSE file.
+ *
+ * This software is provided "AS IS" with no warranty of any kind,
+ * express or implied, and with no claim as to its suitability for any
+ * purpose.
+ *
+ */
+
 #ifndef HUGO_DIJKSTRA_H
 #define HUGO_DIJKSTRA_H
Index: src/hugo/dimacs.h
===================================================================
--- src/hugo/dimacs.h	(revision 903)
+++ src/hugo/dimacs.h	(revision 906)
@@ -1,3 +1,18 @@
-// -*- c++ -*-
+/* -*- C++ -*-
+ * src/hugo/dimacs.h - Part of HUGOlib, a generic C++ optimization library
+ *
+ * Copyright (C) 2004 Egervary Jeno Kombinatorikus Optimalizalasi Kutatocsoport
+ * (Egervary Combinatorial Optimization Research Group, EGRES).
+ *
+ * Permission to use, modify and distribute this software is granted
+ * provided that this copyright notice appears in all copies. For
+ * precise terms see the accompanying LICENSE file.
+ *
+ * This software is provided "AS IS" with no warranty of any kind,
+ * express or implied, and with no claim as to its suitability for any
+ * purpose.
+ *
+ */
+
 #ifndef HUGO_DIMACS_H
 #define HUGO_DIMACS_H
Index: src/hugo/extended_pair.h
===================================================================
--- src/hugo/extended_pair.h	(revision 901)
+++ src/hugo/extended_pair.h	(revision 906)
@@ -1,3 +1,18 @@
-// -*- c++ -*-
+/* -*- C++ -*-
+ * src/hugo/extended_pair.h - Part of HUGOlib, a generic C++ optimization library
+ *
+ * Copyright (C) 2004 Egervary Jeno Kombinatorikus Optimalizalasi Kutatocsoport
+ * (Egervary Combinatorial Optimization Research Group, EGRES).
+ *
+ * Permission to use, modify and distribute this software is granted
+ * provided that this copyright notice appears in all copies. For
+ * precise terms see the accompanying LICENSE file.
+ *
+ * This software is provided "AS IS" with no warranty of any kind,
+ * express or implied, and with no claim as to its suitability for any
+ * purpose.
+ *
+ */
+
 #ifndef HUGO_EXTENDED_PAIR_H
 #define HUGO_EXTENDED_PAIR_H
Index: src/hugo/fib_heap.h
===================================================================
--- src/hugo/fib_heap.h	(revision 857)
+++ src/hugo/fib_heap.h	(revision 906)
@@ -1,3 +1,17 @@
-// -*- C++ -*-
+/* -*- C++ -*-
+ * src/hugo/fib_heap.h - Part of HUGOlib, a generic C++ optimization library
+ *
+ * Copyright (C) 2004 Egervary Jeno Kombinatorikus Optimalizalasi Kutatocsoport
+ * (Egervary Combinatorial Optimization Research Group, EGRES).
+ *
+ * Permission to use, modify and distribute this software is granted
+ * provided that this copyright notice appears in all copies. For
+ * precise terms see the accompanying LICENSE file.
+ *
+ * This software is provided "AS IS" with no warranty of any kind,
+ * express or implied, and with no claim as to its suitability for any
+ * purpose.
+ *
+ */
 
 #ifndef HUGO_FIB_HEAP_H
Index: src/hugo/full_graph.h
===================================================================
--- src/hugo/full_graph.h	(revision 904)
+++ src/hugo/full_graph.h	(revision 906)
@@ -1,3 +1,17 @@
-// -*- c++ -*-
+/* -*- C++ -*-
+ * src/hugo/full_graph.h - Part of HUGOlib, a generic C++ optimization library
+ *
+ * Copyright (C) 2004 Egervary Jeno Kombinatorikus Optimalizalasi Kutatocsoport
+ * (Egervary Combinatorial Optimization Research Group, EGRES).
+ *
+ * Permission to use, modify and distribute this software is granted
+ * provided that this copyright notice appears in all copies. For
+ * precise terms see the accompanying LICENSE file.
+ *
+ * This software is provided "AS IS" with no warranty of any kind,
+ * express or implied, and with no claim as to its suitability for any
+ * purpose.
+ *
+ */
 
 #ifndef HUGO_FULL_GRAPH_H
Index: src/hugo/graph_wrapper.h
===================================================================
--- src/hugo/graph_wrapper.h	(revision 892)
+++ src/hugo/graph_wrapper.h	(revision 906)
@@ -1,3 +1,18 @@
-// -*- c++ -*-
+/* -*- C++ -*-
+ * src/hugo/graph_wrapper.h - Part of HUGOlib, a generic C++ optimization library
+ *
+ * Copyright (C) 2004 Egervary Jeno Kombinatorikus Optimalizalasi Kutatocsoport
+ * (Egervary Combinatorial Optimization Research Group, EGRES).
+ *
+ * Permission to use, modify and distribute this software is granted
+ * provided that this copyright notice appears in all copies. For
+ * precise terms see the accompanying LICENSE file.
+ *
+ * This software is provided "AS IS" with no warranty of any kind,
+ * express or implied, and with no claim as to its suitability for any
+ * purpose.
+ *
+ */
+
 #ifndef HUGO_GRAPH_WRAPPER_H
 #define HUGO_GRAPH_WRAPPER_H
Index: src/hugo/invalid.h
===================================================================
--- src/hugo/invalid.h	(revision 539)
+++ src/hugo/invalid.h	(revision 906)
@@ -1,3 +1,17 @@
-// -*- mode:C++ -*-
+/* -*- C++ -*-
+ * src/hugo/invalid.h - Part of HUGOlib, a generic C++ optimization library
+ *
+ * Copyright (C) 2004 Egervary Jeno Kombinatorikus Optimalizalasi Kutatocsoport
+ * (Egervary Combinatorial Optimization Research Group, EGRES).
+ *
+ * Permission to use, modify and distribute this software is granted
+ * provided that this copyright notice appears in all copies. For
+ * precise terms see the accompanying LICENSE file.
+ *
+ * This software is provided "AS IS" with no warranty of any kind,
+ * express or implied, and with no claim as to its suitability for any
+ * purpose.
+ *
+ */
 
 #ifndef HUGO_INVALID_H
Index: src/hugo/kruskal.h
===================================================================
--- src/hugo/kruskal.h	(revision 885)
+++ src/hugo/kruskal.h	(revision 906)
@@ -1,3 +1,18 @@
-// -*- c++ -*- //
+/* -*- C++ -*-
+ * src/hugo/kruskal.h - Part of HUGOlib, a generic C++ optimization library
+ *
+ * Copyright (C) 2004 Egervary Jeno Kombinatorikus Optimalizalasi Kutatocsoport
+ * (Egervary Combinatorial Optimization Research Group, EGRES).
+ *
+ * Permission to use, modify and distribute this software is granted
+ * provided that this copyright notice appears in all copies. For
+ * precise terms see the accompanying LICENSE file.
+ *
+ * This software is provided "AS IS" with no warranty of any kind,
+ * express or implied, and with no claim as to its suitability for any
+ * purpose.
+ *
+ */
+
 #ifndef HUGO_KRUSKAL_H
 #define HUGO_KRUSKAL_H
Index: src/hugo/list_graph.h
===================================================================
--- src/hugo/list_graph.h	(revision 905)
+++ src/hugo/list_graph.h	(revision 906)
@@ -1,3 +1,17 @@
-// -*- mode:C++ -*-
+/* -*- C++ -*-
+ * src/hugo/list_graph.h - Part of HUGOlib, a generic C++ optimization library
+ *
+ * Copyright (C) 2004 Egervary Jeno Kombinatorikus Optimalizalasi Kutatocsoport
+ * (Egervary Combinatorial Optimization Research Group, EGRES).
+ *
+ * Permission to use, modify and distribute this software is granted
+ * provided that this copyright notice appears in all copies. For
+ * precise terms see the accompanying LICENSE file.
+ *
+ * This software is provided "AS IS" with no warranty of any kind,
+ * express or implied, and with no claim as to its suitability for any
+ * purpose.
+ *
+ */
 
 #ifndef HUGO_LIST_GRAPH_H
Index: src/hugo/map_bits.h
===================================================================
--- src/hugo/map_bits.h	(revision 901)
+++ src/hugo/map_bits.h	(revision 906)
@@ -1,3 +1,18 @@
-// -*- c++ -*- 
+/* -*- C++ -*-
+ * src/hugo/map_bits.h - Part of HUGOlib, a generic C++ optimization library
+ *
+ * Copyright (C) 2004 Egervary Jeno Kombinatorikus Optimalizalasi Kutatocsoport
+ * (Egervary Combinatorial Optimization Research Group, EGRES).
+ *
+ * Permission to use, modify and distribute this software is granted
+ * provided that this copyright notice appears in all copies. For
+ * precise terms see the accompanying LICENSE file.
+ *
+ * This software is provided "AS IS" with no warranty of any kind,
+ * express or implied, and with no claim as to its suitability for any
+ * purpose.
+ *
+ */
+
 #ifndef HUGO_MAP_BITS_H
 #define HUGO_MAP_BITS_H
Index: src/hugo/map_defines.h
===================================================================
--- src/hugo/map_defines.h	(revision 901)
+++ src/hugo/map_defines.h	(revision 906)
@@ -1,3 +1,18 @@
-// -*- c++ -*-
+/* -*- C++ -*-
+ * src/hugo/map_defines.h - Part of HUGOlib, a generic C++ optimization library
+ *
+ * Copyright (C) 2004 Egervary Jeno Kombinatorikus Optimalizalasi Kutatocsoport
+ * (Egervary Combinatorial Optimization Research Group, EGRES).
+ *
+ * Permission to use, modify and distribute this software is granted
+ * provided that this copyright notice appears in all copies. For
+ * precise terms see the accompanying LICENSE file.
+ *
+ * This software is provided "AS IS" with no warranty of any kind,
+ * express or implied, and with no claim as to its suitability for any
+ * purpose.
+ *
+ */
+
 #ifndef HUGO_MAP_DEFINES_H
 #define HUGO_MAP_DEFINES_H
Index: src/hugo/map_iterator.h
===================================================================
--- src/hugo/map_iterator.h	(revision 901)
+++ src/hugo/map_iterator.h	(revision 906)
@@ -1,3 +1,18 @@
-// -*- c++ -*-
+/* -*- C++ -*-
+ * src/hugo/map_iterator.h - Part of HUGOlib, a generic C++ optimization library
+ *
+ * Copyright (C) 2004 Egervary Jeno Kombinatorikus Optimalizalasi Kutatocsoport
+ * (Egervary Combinatorial Optimization Research Group, EGRES).
+ *
+ * Permission to use, modify and distribute this software is granted
+ * provided that this copyright notice appears in all copies. For
+ * precise terms see the accompanying LICENSE file.
+ *
+ * This software is provided "AS IS" with no warranty of any kind,
+ * express or implied, and with no claim as to its suitability for any
+ * purpose.
+ *
+ */
+
 #ifndef HUGO_MAP_ITERATOR_H
 #define HUGO_MAP_ITERATOR_H
Index: src/hugo/map_registry.h
===================================================================
--- src/hugo/map_registry.h	(revision 901)
+++ src/hugo/map_registry.h	(revision 906)
@@ -1,3 +1,18 @@
-// -*- c++ -*-
+/* -*- C++ -*-
+ * src/hugo/map_registry.h - Part of HUGOlib, a generic C++ optimization library
+ *
+ * Copyright (C) 2004 Egervary Jeno Kombinatorikus Optimalizalasi Kutatocsoport
+ * (Egervary Combinatorial Optimization Research Group, EGRES).
+ *
+ * Permission to use, modify and distribute this software is granted
+ * provided that this copyright notice appears in all copies. For
+ * precise terms see the accompanying LICENSE file.
+ *
+ * This software is provided "AS IS" with no warranty of any kind,
+ * express or implied, and with no claim as to its suitability for any
+ * purpose.
+ *
+ */
+
 #ifndef HUGO_MAP_REGISTRY_H
 #define HUGO_MAP_REGISTRY_H
Index: src/hugo/maps.h
===================================================================
--- src/hugo/maps.h	(revision 890)
+++ src/hugo/maps.h	(revision 906)
@@ -1,3 +1,18 @@
-// -*- C++ -*- //
+/* -*- C++ -*-
+ * src/hugo/maps.h - Part of HUGOlib, a generic C++ optimization library
+ *
+ * Copyright (C) 2004 Egervary Jeno Kombinatorikus Optimalizalasi Kutatocsoport
+ * (Egervary Combinatorial Optimization Research Group, EGRES).
+ *
+ * Permission to use, modify and distribute this software is granted
+ * provided that this copyright notice appears in all copies. For
+ * precise terms see the accompanying LICENSE file.
+ *
+ * This software is provided "AS IS" with no warranty of any kind,
+ * express or implied, and with no claim as to its suitability for any
+ * purpose.
+ *
+ */
+
 #ifndef HUGO_MAPS_H
 #define HUGO_MAPS_H
Index: src/hugo/min_cost_flow.h
===================================================================
--- src/hugo/min_cost_flow.h	(revision 901)
+++ src/hugo/min_cost_flow.h	(revision 906)
@@ -1,3 +1,18 @@
-// -*- c++ -*-
+/* -*- C++ -*-
+ * src/hugo/min_cost_flow.h - Part of HUGOlib, a generic C++ optimization library
+ *
+ * Copyright (C) 2004 Egervary Jeno Kombinatorikus Optimalizalasi Kutatocsoport
+ * (Egervary Combinatorial Optimization Research Group, EGRES).
+ *
+ * Permission to use, modify and distribute this software is granted
+ * provided that this copyright notice appears in all copies. For
+ * precise terms see the accompanying LICENSE file.
+ *
+ * This software is provided "AS IS" with no warranty of any kind,
+ * express or implied, and with no claim as to its suitability for any
+ * purpose.
+ *
+ */
+
 #ifndef HUGO_MIN_COST_FLOW_H
 #define HUGO_MIN_COST_FLOW_H
Index: src/hugo/path.h
===================================================================
--- src/hugo/path.h	(revision 900)
+++ src/hugo/path.h	(revision 906)
@@ -1,3 +1,17 @@
-// -*- c++ -*- //
+/* -*- C++ -*-
+ * src/hugo/path.h - Part of HUGOlib, a generic C++ optimization library
+ *
+ * Copyright (C) 2004 Egervary Jeno Kombinatorikus Optimalizalasi Kutatocsoport
+ * (Egervary Combinatorial Optimization Research Group, EGRES).
+ *
+ * Permission to use, modify and distribute this software is granted
+ * provided that this copyright notice appears in all copies. For
+ * precise terms see the accompanying LICENSE file.
+ *
+ * This software is provided "AS IS" with no warranty of any kind,
+ * express or implied, and with no claim as to its suitability for any
+ * purpose.
+ *
+ */
 
 /**
Index: src/hugo/preflow.h
===================================================================
--- src/hugo/preflow.h	(revision 874)
+++ src/hugo/preflow.h	(revision 906)
@@ -1,3 +1,18 @@
-// -*- C++ -*-
+/* -*- C++ -*-
+ * src/hugo/preflow.h - Part of HUGOlib, a generic C++ optimization library
+ *
+ * Copyright (C) 2004 Egervary Jeno Kombinatorikus Optimalizalasi Kutatocsoport
+ * (Egervary Combinatorial Optimization Research Group, EGRES).
+ *
+ * Permission to use, modify and distribute this software is granted
+ * provided that this copyright notice appears in all copies. For
+ * precise terms see the accompanying LICENSE file.
+ *
+ * This software is provided "AS IS" with no warranty of any kind,
+ * express or implied, and with no claim as to its suitability for any
+ * purpose.
+ *
+ */
+
 #ifndef HUGO_PREFLOW_H
 #define HUGO_PREFLOW_H
Index: src/hugo/skeletons/graph.h
===================================================================
--- src/hugo/skeletons/graph.h	(revision 881)
+++ src/hugo/skeletons/graph.h	(revision 906)
@@ -1,3 +1,18 @@
-// -*- c++ -*-
+/* -*- C++ -*-
+ * src/hugo/skeletons/graph.h - Part of HUGOlib, a generic C++ optimization library
+ *
+ * Copyright (C) 2004 Egervary Jeno Kombinatorikus Optimalizalasi Kutatocsoport
+ * (Egervary Combinatorial Optimization Research Group, EGRES).
+ *
+ * Permission to use, modify and distribute this software is granted
+ * provided that this copyright notice appears in all copies. For
+ * precise terms see the accompanying LICENSE file.
+ *
+ * This software is provided "AS IS" with no warranty of any kind,
+ * express or implied, and with no claim as to its suitability for any
+ * purpose.
+ *
+ */
+
 #ifndef HUGO_SKELETON_GRAPH_H
 #define HUGO_SKELETON_GRAPH_H
Index: src/hugo/skeletons/maps.h
===================================================================
--- src/hugo/skeletons/maps.h	(revision 881)
+++ src/hugo/skeletons/maps.h	(revision 906)
@@ -1,3 +1,18 @@
-// -*- c++ -*-
+/* -*- C++ -*-
+ * src/hugo/skeletons/maps.h - Part of HUGOlib, a generic C++ optimization library
+ *
+ * Copyright (C) 2004 Egervary Jeno Kombinatorikus Optimalizalasi Kutatocsoport
+ * (Egervary Combinatorial Optimization Research Group, EGRES).
+ *
+ * Permission to use, modify and distribute this software is granted
+ * provided that this copyright notice appears in all copies. For
+ * precise terms see the accompanying LICENSE file.
+ *
+ * This software is provided "AS IS" with no warranty of any kind,
+ * express or implied, and with no claim as to its suitability for any
+ * purpose.
+ *
+ */
+
 #ifndef HUGO_MAPSKELETON_H
 #define HUGO_MAPSKELETON_H
Index: src/hugo/skeletons/path.h
===================================================================
--- src/hugo/skeletons/path.h	(revision 831)
+++ src/hugo/skeletons/path.h	(revision 906)
@@ -1,3 +1,17 @@
-// -*- c++ -*- //
+/* -*- C++ -*-
+ * src/hugo/skeletons/path.h - Part of HUGOlib, a generic C++ optimization library
+ *
+ * Copyright (C) 2004 Egervary Jeno Kombinatorikus Optimalizalasi Kutatocsoport
+ * (Egervary Combinatorial Optimization Research Group, EGRES).
+ *
+ * Permission to use, modify and distribute this software is granted
+ * provided that this copyright notice appears in all copies. For
+ * precise terms see the accompanying LICENSE file.
+ *
+ * This software is provided "AS IS" with no warranty of any kind,
+ * express or implied, and with no claim as to its suitability for any
+ * purpose.
+ *
+ */
 
 ///\ingroup skeletons
Index: src/hugo/smart_graph.h
===================================================================
--- src/hugo/smart_graph.h	(revision 905)
+++ src/hugo/smart_graph.h	(revision 906)
@@ -1,3 +1,17 @@
-// -*- mode:C++ -*-
+/* -*- C++ -*-
+ * src/hugo/smart_graph.h - Part of HUGOlib, a generic C++ optimization library
+ *
+ * Copyright (C) 2004 Egervary Jeno Kombinatorikus Optimalizalasi Kutatocsoport
+ * (Egervary Combinatorial Optimization Research Group, EGRES).
+ *
+ * Permission to use, modify and distribute this software is granted
+ * provided that this copyright notice appears in all copies. For
+ * precise terms see the accompanying LICENSE file.
+ *
+ * This software is provided "AS IS" with no warranty of any kind,
+ * express or implied, and with no claim as to its suitability for any
+ * purpose.
+ *
+ */
 
 #ifndef HUGO_SMART_GRAPH_H
Index: src/hugo/suurballe.h
===================================================================
--- src/hugo/suurballe.h	(revision 901)
+++ src/hugo/suurballe.h	(revision 906)
@@ -1,3 +1,18 @@
-// -*- c++ -*-
+/* -*- C++ -*-
+ * src/hugo/suurballe.h - Part of HUGOlib, a generic C++ optimization library
+ *
+ * Copyright (C) 2004 Egervary Jeno Kombinatorikus Optimalizalasi Kutatocsoport
+ * (Egervary Combinatorial Optimization Research Group, EGRES).
+ *
+ * Permission to use, modify and distribute this software is granted
+ * provided that this copyright notice appears in all copies. For
+ * precise terms see the accompanying LICENSE file.
+ *
+ * This software is provided "AS IS" with no warranty of any kind,
+ * express or implied, and with no claim as to its suitability for any
+ * purpose.
+ *
+ */
+
 #ifndef HUGO_SUURBALLE_H
 #define HUGO_SUURBALLE_H
Index: src/hugo/sym_map.h
===================================================================
--- src/hugo/sym_map.h	(revision 901)
+++ src/hugo/sym_map.h	(revision 906)
@@ -1,3 +1,18 @@
-// -*- c++ -*-
+/* -*- C++ -*-
+ * src/hugo/sym_map.h - Part of HUGOlib, a generic C++ optimization library
+ *
+ * Copyright (C) 2004 Egervary Jeno Kombinatorikus Optimalizalasi Kutatocsoport
+ * (Egervary Combinatorial Optimization Research Group, EGRES).
+ *
+ * Permission to use, modify and distribute this software is granted
+ * provided that this copyright notice appears in all copies. For
+ * precise terms see the accompanying LICENSE file.
+ *
+ * This software is provided "AS IS" with no warranty of any kind,
+ * express or implied, and with no claim as to its suitability for any
+ * purpose.
+ *
+ */
+
 #ifndef HUGO_SYM_MAP_H
 #define HUGO_SYM_MAP_H
Index: src/hugo/template.h
===================================================================
--- src/hugo/template.h	(revision 760)
+++ src/hugo/template.h	(revision 906)
@@ -1,5 +1,3 @@
-// -*- C++ -*-
-
-/*
+/* -*- C++ -*-
  * src/hugo/template.h - Part of HUGOlib, a generic C++ optimization library
  *
Index: src/hugo/tight_edge_filter_map.h
===================================================================
--- src/hugo/tight_edge_filter_map.h	(revision 888)
+++ src/hugo/tight_edge_filter_map.h	(revision 906)
@@ -1,3 +1,18 @@
-// -*- C++ -*-
+/* -*- C++ -*-
+ * src/hugo/tight_edge_filter_map.h - Part of HUGOlib, a generic C++ optimization library
+ *
+ * Copyright (C) 2004 Egervary Jeno Kombinatorikus Optimalizalasi Kutatocsoport
+ * (Egervary Combinatorial Optimization Research Group, EGRES).
+ *
+ * Permission to use, modify and distribute this software is granted
+ * provided that this copyright notice appears in all copies. For
+ * precise terms see the accompanying LICENSE file.
+ *
+ * This software is provided "AS IS" with no warranty of any kind,
+ * express or implied, and with no claim as to its suitability for any
+ * purpose.
+ *
+ */
+
 #ifndef HUGO_TIGHT_EDGE_FILTER_MAP_H
 #define HUGO_TIGHT_EDGE_FILTER_MAP_H
Index: src/hugo/time_measure.h
===================================================================
--- src/hugo/time_measure.h	(revision 814)
+++ src/hugo/time_measure.h	(revision 906)
@@ -1,3 +1,18 @@
-// -*- c++ -*-
+/* -*- C++ -*-
+ * src/hugo/time_measure.h - Part of HUGOlib, a generic C++ optimization library
+ *
+ * Copyright (C) 2004 Egervary Jeno Kombinatorikus Optimalizalasi Kutatocsoport
+ * (Egervary Combinatorial Optimization Research Group, EGRES).
+ *
+ * Permission to use, modify and distribute this software is granted
+ * provided that this copyright notice appears in all copies. For
+ * precise terms see the accompanying LICENSE file.
+ *
+ * This software is provided "AS IS" with no warranty of any kind,
+ * express or implied, and with no claim as to its suitability for any
+ * purpose.
+ *
+ */
+
 #ifndef HUGO_TIME_MEASURE_H
 #define HUGO_TIME_MEASURE_H
Index: src/hugo/unionfind.h
===================================================================
--- src/hugo/unionfind.h	(revision 810)
+++ src/hugo/unionfind.h	(revision 906)
@@ -1,3 +1,18 @@
-// -*- c++ -*- //
+/* -*- C++ -*-
+ * src/hugo/unionfind.h - Part of HUGOlib, a generic C++ optimization library
+ *
+ * Copyright (C) 2004 Egervary Jeno Kombinatorikus Optimalizalasi Kutatocsoport
+ * (Egervary Combinatorial Optimization Research Group, EGRES).
+ *
+ * Permission to use, modify and distribute this software is granted
+ * provided that this copyright notice appears in all copies. For
+ * precise terms see the accompanying LICENSE file.
+ *
+ * This software is provided "AS IS" with no warranty of any kind,
+ * express or implied, and with no claim as to its suitability for any
+ * purpose.
+ *
+ */
+
 #ifndef HUGO_UNION_FIND_H
 #define HUGO_UNION_FIND_H
Index: src/hugo/vector_map.h
===================================================================
--- src/hugo/vector_map.h	(revision 901)
+++ src/hugo/vector_map.h	(revision 906)
@@ -1,3 +1,18 @@
-// -*- c++ -*-
+/* -*- C++ -*-
+ * src/hugo/vector_map.h - Part of HUGOlib, a generic C++ optimization library
+ *
+ * Copyright (C) 2004 Egervary Jeno Kombinatorikus Optimalizalasi Kutatocsoport
+ * (Egervary Combinatorial Optimization Research Group, EGRES).
+ *
+ * Permission to use, modify and distribute this software is granted
+ * provided that this copyright notice appears in all copies. For
+ * precise terms see the accompanying LICENSE file.
+ *
+ * This software is provided "AS IS" with no warranty of any kind,
+ * express or implied, and with no claim as to its suitability for any
+ * purpose.
+ *
+ */
+
 #ifndef HUGO_VECTOR_MAP_H
 #define HUGO_VECTOR_MAP_H
Index: src/hugo/xy.h
===================================================================
--- src/hugo/xy.h	(revision 814)
+++ src/hugo/xy.h	(revision 906)
@@ -1,3 +1,18 @@
-// -*- c++ -*-
+/* -*- C++ -*-
+ * src/hugo/xy.h - Part of HUGOlib, a generic C++ optimization library
+ *
+ * Copyright (C) 2004 Egervary Jeno Kombinatorikus Optimalizalasi Kutatocsoport
+ * (Egervary Combinatorial Optimization Research Group, EGRES).
+ *
+ * Permission to use, modify and distribute this software is granted
+ * provided that this copyright notice appears in all copies. For
+ * precise terms see the accompanying LICENSE file.
+ *
+ * This software is provided "AS IS" with no warranty of any kind,
+ * express or implied, and with no claim as to its suitability for any
+ * purpose.
+ *
+ */
+
 #ifndef HUGO_XY_H
 #define HUGO_XY_H
Index: src/test/bfs_test.cc
===================================================================
--- src/test/bfs_test.cc	(revision 880)
+++ src/test/bfs_test.cc	(revision 906)
@@ -1,2 +1,18 @@
+/* -*- C++ -*-
+ * src/test/bfs_test.cc - Part of HUGOlib, a generic C++ optimization library
+ *
+ * Copyright (C) 2004 Egervary Jeno Kombinatorikus Optimalizalasi Kutatocsoport
+ * (Egervary Combinatorial Optimization Research Group, EGRES).
+ *
+ * Permission to use, modify and distribute this software is granted
+ * provided that this copyright notice appears in all copies. For
+ * precise terms see the accompanying LICENSE file.
+ *
+ * This software is provided "AS IS" with no warranty of any kind,
+ * express or implied, and with no claim as to its suitability for any
+ * purpose.
+ *
+ */
+
 #include "test_tools.h"
 #include <hugo/smart_graph.h>
Index: src/test/dfs_test.cc
===================================================================
--- src/test/dfs_test.cc	(revision 880)
+++ src/test/dfs_test.cc	(revision 906)
@@ -1,2 +1,18 @@
+/* -*- C++ -*-
+ * src/test/dfs_test.cc - Part of HUGOlib, a generic C++ optimization library
+ *
+ * Copyright (C) 2004 Egervary Jeno Kombinatorikus Optimalizalasi Kutatocsoport
+ * (Egervary Combinatorial Optimization Research Group, EGRES).
+ *
+ * Permission to use, modify and distribute this software is granted
+ * provided that this copyright notice appears in all copies. For
+ * precise terms see the accompanying LICENSE file.
+ *
+ * This software is provided "AS IS" with no warranty of any kind,
+ * express or implied, and with no claim as to its suitability for any
+ * purpose.
+ *
+ */
+
 #include "test_tools.h"
 #include <hugo/smart_graph.h>
Index: src/test/dijkstra_heap_test.cc
===================================================================
--- src/test/dijkstra_heap_test.cc	(revision 833)
+++ src/test/dijkstra_heap_test.cc	(revision 906)
@@ -1,2 +1,18 @@
+/* -*- C++ -*-
+ * src/test/dijkstra_heap_test.cc - Part of HUGOlib, a generic C++ optimization library
+ *
+ * Copyright (C) 2004 Egervary Jeno Kombinatorikus Optimalizalasi Kutatocsoport
+ * (Egervary Combinatorial Optimization Research Group, EGRES).
+ *
+ * Permission to use, modify and distribute this software is granted
+ * provided that this copyright notice appears in all copies. For
+ * precise terms see the accompanying LICENSE file.
+ *
+ * This software is provided "AS IS" with no warranty of any kind,
+ * express or implied, and with no claim as to its suitability for any
+ * purpose.
+ *
+ */
+
 //Tests dijsktra.h with two heap implementations:
 //the default binary heap of bin_heap.h, and the 
Index: src/test/dijkstra_test.cc
===================================================================
--- src/test/dijkstra_test.cc	(revision 880)
+++ src/test/dijkstra_test.cc	(revision 906)
@@ -1,2 +1,18 @@
+/* -*- C++ -*-
+ * src/test/dijkstra_test.cc - Part of HUGOlib, a generic C++ optimization library
+ *
+ * Copyright (C) 2004 Egervary Jeno Kombinatorikus Optimalizalasi Kutatocsoport
+ * (Egervary Combinatorial Optimization Research Group, EGRES).
+ *
+ * Permission to use, modify and distribute this software is granted
+ * provided that this copyright notice appears in all copies. For
+ * precise terms see the accompanying LICENSE file.
+ *
+ * This software is provided "AS IS" with no warranty of any kind,
+ * express or implied, and with no claim as to its suitability for any
+ * purpose.
+ *
+ */
+
 #include "test_tools.h"
 #include <hugo/smart_graph.h>
Index: src/test/error_test.cc
===================================================================
--- src/test/error_test.cc	(revision 727)
+++ src/test/error_test.cc	(revision 906)
@@ -1,2 +1,18 @@
+/* -*- C++ -*-
+ * src/test/error_test.cc - Part of HUGOlib, a generic C++ optimization library
+ *
+ * Copyright (C) 2004 Egervary Jeno Kombinatorikus Optimalizalasi Kutatocsoport
+ * (Egervary Combinatorial Optimization Research Group, EGRES).
+ *
+ * Permission to use, modify and distribute this software is granted
+ * provided that this copyright notice appears in all copies. For
+ * precise terms see the accompanying LICENSE file.
+ *
+ * This software is provided "AS IS" with no warranty of any kind,
+ * express or implied, and with no claim as to its suitability for any
+ * purpose.
+ *
+ */
+
 #include <iostream>
 
Index: src/test/graph_test.cc
===================================================================
--- src/test/graph_test.cc	(revision 880)
+++ src/test/graph_test.cc	(revision 906)
@@ -1,2 +1,18 @@
+/* -*- C++ -*-
+ * src/test/graph_test.cc - Part of HUGOlib, a generic C++ optimization library
+ *
+ * Copyright (C) 2004 Egervary Jeno Kombinatorikus Optimalizalasi Kutatocsoport
+ * (Egervary Combinatorial Optimization Research Group, EGRES).
+ *
+ * Permission to use, modify and distribute this software is granted
+ * provided that this copyright notice appears in all copies. For
+ * precise terms see the accompanying LICENSE file.
+ *
+ * This software is provided "AS IS" with no warranty of any kind,
+ * express or implied, and with no claim as to its suitability for any
+ * purpose.
+ *
+ */
+
 #include<iostream>
 #include<hugo/smart_graph.h>
Index: src/test/graph_test.h
===================================================================
--- src/test/graph_test.h	(revision 891)
+++ src/test/graph_test.h	(revision 906)
@@ -1,3 +1,17 @@
-// -*- c++ -*-
+/* -*- C++ -*-
+ * src/test/graph_test.h - Part of HUGOlib, a generic C++ optimization library
+ *
+ * Copyright (C) 2004 Egervary Jeno Kombinatorikus Optimalizalasi Kutatocsoport
+ * (Egervary Combinatorial Optimization Research Group, EGRES).
+ *
+ * Permission to use, modify and distribute this software is granted
+ * provided that this copyright notice appears in all copies. For
+ * precise terms see the accompanying LICENSE file.
+ *
+ * This software is provided "AS IS" with no warranty of any kind,
+ * express or implied, and with no claim as to its suitability for any
+ * purpose.
+ *
+ */
 #ifndef HUGO_TEST_GRAPH_TEST_H
 #define HUGO_TEST_GRAPH_TEST_H
Index: src/test/graph_wrapper_test.cc
===================================================================
--- src/test/graph_wrapper_test.cc	(revision 892)
+++ src/test/graph_wrapper_test.cc	(revision 906)
@@ -1,2 +1,18 @@
+/* -*- C++ -*-
+ * src/test/graph_wrapper_test.cc - Part of HUGOlib, a generic C++ optimization library
+ *
+ * Copyright (C) 2004 Egervary Jeno Kombinatorikus Optimalizalasi Kutatocsoport
+ * (Egervary Combinatorial Optimization Research Group, EGRES).
+ *
+ * Permission to use, modify and distribute this software is granted
+ * provided that this copyright notice appears in all copies. For
+ * precise terms see the accompanying LICENSE file.
+ *
+ * This software is provided "AS IS" with no warranty of any kind,
+ * express or implied, and with no claim as to its suitability for any
+ * purpose.
+ *
+ */
+
 #include<iostream>
 #include<hugo/smart_graph.h>
Index: src/test/kruskal_test.cc
===================================================================
--- src/test/kruskal_test.cc	(revision 885)
+++ src/test/kruskal_test.cc	(revision 906)
@@ -1,2 +1,18 @@
+/* -*- C++ -*-
+ * src/test/kruskal_test.cc - Part of HUGOlib, a generic C++ optimization library
+ *
+ * Copyright (C) 2004 Egervary Jeno Kombinatorikus Optimalizalasi Kutatocsoport
+ * (Egervary Combinatorial Optimization Research Group, EGRES).
+ *
+ * Permission to use, modify and distribute this software is granted
+ * provided that this copyright notice appears in all copies. For
+ * precise terms see the accompanying LICENSE file.
+ *
+ * This software is provided "AS IS" with no warranty of any kind,
+ * express or implied, and with no claim as to its suitability for any
+ * purpose.
+ *
+ */
+
 #include <iostream>
 #include <vector>
Index: src/test/min_cost_flow_test.cc
===================================================================
--- src/test/min_cost_flow_test.cc	(revision 899)
+++ src/test/min_cost_flow_test.cc	(revision 906)
@@ -1,2 +1,18 @@
+/* -*- C++ -*-
+ * src/test/min_cost_flow_test.cc - Part of HUGOlib, a generic C++ optimization library
+ *
+ * Copyright (C) 2004 Egervary Jeno Kombinatorikus Optimalizalasi Kutatocsoport
+ * (Egervary Combinatorial Optimization Research Group, EGRES).
+ *
+ * Permission to use, modify and distribute this software is granted
+ * provided that this copyright notice appears in all copies. For
+ * precise terms see the accompanying LICENSE file.
+ *
+ * This software is provided "AS IS" with no warranty of any kind,
+ * express or implied, and with no claim as to its suitability for any
+ * purpose.
+ *
+ */
+
 #include <iostream>
 #include "test_tools.h"
Index: src/test/path_test.cc
===================================================================
--- src/test/path_test.cc	(revision 832)
+++ src/test/path_test.cc	(revision 906)
@@ -1,2 +1,18 @@
+/* -*- C++ -*-
+ * src/test/path_test.cc - Part of HUGOlib, a generic C++ optimization library
+ *
+ * Copyright (C) 2004 Egervary Jeno Kombinatorikus Optimalizalasi Kutatocsoport
+ * (Egervary Combinatorial Optimization Research Group, EGRES).
+ *
+ * Permission to use, modify and distribute this software is granted
+ * provided that this copyright notice appears in all copies. For
+ * precise terms see the accompanying LICENSE file.
+ *
+ * This software is provided "AS IS" with no warranty of any kind,
+ * express or implied, and with no claim as to its suitability for any
+ * purpose.
+ *
+ */
+
 #include <string>
 #include <iostream>
Index: src/test/preflow_test.cc
===================================================================
--- src/test/preflow_test.cc	(revision 887)
+++ src/test/preflow_test.cc	(revision 906)
@@ -1,2 +1,18 @@
+/* -*- C++ -*-
+ * src/test/preflow_test.cc - Part of HUGOlib, a generic C++ optimization library
+ *
+ * Copyright (C) 2004 Egervary Jeno Kombinatorikus Optimalizalasi Kutatocsoport
+ * (Egervary Combinatorial Optimization Research Group, EGRES).
+ *
+ * Permission to use, modify and distribute this software is granted
+ * provided that this copyright notice appears in all copies. For
+ * precise terms see the accompanying LICENSE file.
+ *
+ * This software is provided "AS IS" with no warranty of any kind,
+ * express or implied, and with no claim as to its suitability for any
+ * purpose.
+ *
+ */
+
 #include <fstream>
 #include <string>
Index: src/test/suurballe_test.cc
===================================================================
--- src/test/suurballe_test.cc	(revision 899)
+++ src/test/suurballe_test.cc	(revision 906)
@@ -1,2 +1,18 @@
+/* -*- C++ -*-
+ * src/test/suurballe_test.cc - Part of HUGOlib, a generic C++ optimization library
+ *
+ * Copyright (C) 2004 Egervary Jeno Kombinatorikus Optimalizalasi Kutatocsoport
+ * (Egervary Combinatorial Optimization Research Group, EGRES).
+ *
+ * Permission to use, modify and distribute this software is granted
+ * provided that this copyright notice appears in all copies. For
+ * precise terms see the accompanying LICENSE file.
+ *
+ * This software is provided "AS IS" with no warranty of any kind,
+ * express or implied, and with no claim as to its suitability for any
+ * purpose.
+ *
+ */
+
 #include <iostream>
 #include <hugo/list_graph.h>
Index: src/test/test_tools.h
===================================================================
--- src/test/test_tools.h	(revision 844)
+++ src/test/test_tools.h	(revision 906)
@@ -1,3 +1,18 @@
-// -*- c++ -*-
+/* -*- C++ -*-
+ * src/test/test_tools.h - Part of HUGOlib, a generic C++ optimization library
+ *
+ * Copyright (C) 2004 Egervary Jeno Kombinatorikus Optimalizalasi Kutatocsoport
+ * (Egervary Combinatorial Optimization Research Group, EGRES).
+ *
+ * Permission to use, modify and distribute this software is granted
+ * provided that this copyright notice appears in all copies. For
+ * precise terms see the accompanying LICENSE file.
+ *
+ * This software is provided "AS IS" with no warranty of any kind,
+ * express or implied, and with no claim as to its suitability for any
+ * purpose.
+ *
+ */
+
 #ifndef HUGO_TEST_TEST_TOOLS_H
 #define HUGO_TEST_TEST_TOOLS_H
Index: src/test/test_tools_fail.cc
===================================================================
--- src/test/test_tools_fail.cc	(revision 727)
+++ src/test/test_tools_fail.cc	(revision 906)
@@ -1,2 +1,18 @@
+/* -*- C++ -*-
+ * src/test/test_tools_fail.cc - Part of HUGOlib, a generic C++ optimization library
+ *
+ * Copyright (C) 2004 Egervary Jeno Kombinatorikus Optimalizalasi Kutatocsoport
+ * (Egervary Combinatorial Optimization Research Group, EGRES).
+ *
+ * Permission to use, modify and distribute this software is granted
+ * provided that this copyright notice appears in all copies. For
+ * precise terms see the accompanying LICENSE file.
+ *
+ * This software is provided "AS IS" with no warranty of any kind,
+ * express or implied, and with no claim as to its suitability for any
+ * purpose.
+ *
+ */
+
 #include "test_tools.h"
 
Index: src/test/test_tools_pass.cc
===================================================================
--- src/test/test_tools_pass.cc	(revision 727)
+++ src/test/test_tools_pass.cc	(revision 906)
@@ -1,2 +1,18 @@
+/* -*- C++ -*-
+ * src/test/test_tools_pass.cc - Part of HUGOlib, a generic C++ optimization library
+ *
+ * Copyright (C) 2004 Egervary Jeno Kombinatorikus Optimalizalasi Kutatocsoport
+ * (Egervary Combinatorial Optimization Research Group, EGRES).
+ *
+ * Permission to use, modify and distribute this software is granted
+ * provided that this copyright notice appears in all copies. For
+ * precise terms see the accompanying LICENSE file.
+ *
+ * This software is provided "AS IS" with no warranty of any kind,
+ * express or implied, and with no claim as to its suitability for any
+ * purpose.
+ *
+ */
+
 #include "test_tools.h"
 
Index: src/test/time_measure_test.cc
===================================================================
--- src/test/time_measure_test.cc	(revision 567)
+++ src/test/time_measure_test.cc	(revision 906)
@@ -1,2 +1,18 @@
+/* -*- C++ -*-
+ * src/test/time_measure_test.cc - Part of HUGOlib, a generic C++ optimization library
+ *
+ * Copyright (C) 2004 Egervary Jeno Kombinatorikus Optimalizalasi Kutatocsoport
+ * (Egervary Combinatorial Optimization Research Group, EGRES).
+ *
+ * Permission to use, modify and distribute this software is granted
+ * provided that this copyright notice appears in all copies. For
+ * precise terms see the accompanying LICENSE file.
+ *
+ * This software is provided "AS IS" with no warranty of any kind,
+ * express or implied, and with no claim as to its suitability for any
+ * purpose.
+ *
+ */
+
 #include <hugo/time_measure.h>
 
Index: src/test/unionfind_test.cc
===================================================================
--- src/test/unionfind_test.cc	(revision 793)
+++ src/test/unionfind_test.cc	(revision 906)
@@ -1,2 +1,18 @@
+/* -*- C++ -*-
+ * src/test/unionfind_test.cc - Part of HUGOlib, a generic C++ optimization library
+ *
+ * Copyright (C) 2004 Egervary Jeno Kombinatorikus Optimalizalasi Kutatocsoport
+ * (Egervary Combinatorial Optimization Research Group, EGRES).
+ *
+ * Permission to use, modify and distribute this software is granted
+ * provided that this copyright notice appears in all copies. For
+ * precise terms see the accompanying LICENSE file.
+ *
+ * This software is provided "AS IS" with no warranty of any kind,
+ * express or implied, and with no claim as to its suitability for any
+ * purpose.
+ *
+ */
+
 #include <iostream>
 
Index: src/test/xy_test.cc
===================================================================
--- src/test/xy_test.cc	(revision 774)
+++ src/test/xy_test.cc	(revision 906)
@@ -1,2 +1,18 @@
+/* -*- C++ -*-
+ * src/test/xy_test.cc - Part of HUGOlib, a generic C++ optimization library
+ *
+ * Copyright (C) 2004 Egervary Jeno Kombinatorikus Optimalizalasi Kutatocsoport
+ * (Egervary Combinatorial Optimization Research Group, EGRES).
+ *
+ * Permission to use, modify and distribute this software is granted
+ * provided that this copyright notice appears in all copies. For
+ * precise terms see the accompanying LICENSE file.
+ *
+ * This software is provided "AS IS" with no warranty of any kind,
+ * express or implied, and with no claim as to its suitability for any
+ * purpose.
+ *
+ */
+
 #include <hugo/xy.h>
 #include <iostream>
